USE [master]
GO

CREATE DATABASE [wcfdemo] 

GO

USE [wcfdemo]
GO

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[Address](
	[AddressID] [uniqueidentifier] NOT NULL,
	[FirstName] [nvarchar](50) NULL,
	[LastName] [nvarchar](50) NULL,
	[Street] [nvarchar](50) NULL,
	[Zip] [nvarchar](25) NULL,
	[City] [nvarchar](50) NULL,
    CONSTRAINT [PK_Address] PRIMARY KEY  
    (
	    [AddressID] ASC
    ) 
) 

GO

