﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;
using System.ServiceModel.Channels;
using SimpleWcf.Contracts;
using SimpleWcf.Services;
using System.ServiceModel.Description;

namespace SimpleWcf.Host
{
    class Program
    {
        static void Main()
        {
            ServiceHost host = new ServiceHost( typeof(CalcService),
                new Uri(@"http://localhost:8081/simplewcf"));
            
            host.AddServiceEndpoint(typeof(ICalcService),
                                    new WSHttpBinding(),
                                    "calcservice");

            ServiceMetadataBehavior metaDataBehavoir = new ServiceMetadataBehavior();
            metaDataBehavoir.HttpGetEnabled = true;
            host.Description.Behaviors.Add(metaDataBehavoir);
            
            host.Open();

            Console.WriteLine("Läuft ...");
            Console.ReadKey(true);


            host.Close();

        }
    }
}
