﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using SimpleWcf.Client.CalcServiceProxy;

namespace SimpleWcf.Client
{
    /// <summary>
    /// Hauptprogramm.
    /// </summary>
    class Program
    {
        /// <summary>
        /// Einstiegsfunktion.
        /// </summary>        
        static void Main()
        {
            // Verbundung zum WCF-Dienst herstellen
            ICalcService proxy = new CalcServiceClient();
            
            // Berechungsanfrage erzeugen
            AddRequest request=new AddRequest();
            request.A=10;
            request.B=5;

            // Berechnung auf dem Server durchführen und Ergebnis auf der Konsole ausgeben
            Console.WriteLine(proxy.Add(request));

            // Auf Tastendruck waretn
            Console.ReadLine();

            // Verbindung zum WCF-Dienst schließen
            ((CalcServiceClient)proxy).Close();
        }
    }
}
