﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;
using System.ServiceModel.Description;
using System.Runtime.Serialization;
using SimpleWcf.Contracts;

namespace SimpleWcf.Services
{
    /// <summary>
    /// Rechner-Dienst.
    /// </summary>
    public class CalcService : ICalcService
    {
        #region ICalcService Member

        /// <summary>
        /// Addieren.
        /// </summary>
        /// <param name="request">Berechnungs-Anfrage-Nachricht</param>
        /// <returns>Ergebnis</returns>
        public int Add(AddRequest request)
        {
            // Addition durchführen
            return request.A + request.B;
        }

        #endregion
    }
}
